
Redmine - Defect #12477

Internal server error after migrate from Trac 0.12.3 ro Redmine 2

2012-11-30 15:52 - Eric Rivera

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.1.4

Description

Hello,

I have recently tried migrating our Trac 0.12 system over to red mine 2.1.4

The rake file runs and says transfers 147/147 tickets successfully.

When I log in I can see my tickets listed however when I click on one it just sends me to "internal server error page"?

Can anyone please help here?

Related issues:

Related to Redmine - Patch #14567: migrate_from_trac.rake does not convert ti... New

History

#1 - 2012-11-30 18:13 - Eric Rivera

Here is my sys info.

Environment:

Redmine version                          2.1.4.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.8

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

#2 - 2012-12-01 06:27 - Toshi MARUYAMA

- Category changed from Database to Importers

#3 - 2012-12-02 22:53 - Jean-Philippe Lang

Please post the error stack trace.

#4 - 2013-02-01 21:31 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

#5 - 2013-03-27 15:21 - Charles Capon

- File migrate_from_trac.rake.patch added

Hey everyone,

I found out what the problem is: dates in trac 0.12.3 are stored as microseconds from epoch. Function Time.at signature is Time.at(seconds[,

microseconds]).

As attachment, you can find a svn diff that correct this bug. I have never developed with ruby before today so it may be a very dirty fix. I'm quite sure

that it won't work with prior trac version that does not store dates as microseconds (I think prior to 0.12).

#6 - 2013-07-29 16:48 - Craig Rodrigues

Can you try the patch here:

http://www.redmine.org/issues/14567
#7 - 2013-07-31 11:17 - Toshi MARUYAMA

- Related to Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23 added

Files

migrate_from_trac.rake.patch 523 Bytes 2013-03-27 Charles Capon
